Debian Bug report logs - #488104
manpages-dev: setvbuf is unclear about the return value

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Reuben Thomas <rrt@femur.dyndns.org>

Date: Thu, 26 Jun 2008 12:15:04 UTC

Severity: normal

Tags: fixed-upstream

Found in version 2.77

Fixed in version manpages/3.02-1

Done: Joey Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#488104; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Reuben Thomas <rrt@femur.dyndns.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Reuben Thomas <rrt@femur.dyndns.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: setvbuf is unclear about the return value
Date: Thu, 26 Jun 2008 13:09:29 +0100
Package: manpages-dev
Version: 2.77
Severity: normal


The man page says:

 The function setvbuf() returns 0 on success.  It can return any value on
 failure, but returns nonzero when mode is invalid or the request cannot
 be honored.

Reading carefully, this suggests that it can return 0 on failure.
However, it returns non-zero when the mode is valid or the request
cannot be honored. What other sort of failure is there? If the mode is
valid and the request has been honored, it seems we're doing pretty
well...

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-6-k7
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#488104; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk.manpages@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 488104@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk.manpages@googlemail.com>
To: "Reuben Thomas" <rrt@femur.dyndns.org>, 488104@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#488104: manpages-dev: setvbuf is unclear about the return value
Date: Thu, 26 Jun 2008 16:06:05 +0200
tags 488104 fixed-upstream
thanks

fixed in upstream 3.02.

On Thu, Jun 26, 2008 at 2:09 PM, Reuben Thomas <rrt@femur.dyndns.org> wrote:
> Package: manpages-dev
> Version: 2.77
> Severity: normal
>
>
> The man page says:
>
>  The function setvbuf() returns 0 on success.  It can return any value on
>  failure, but returns nonzero when mode is invalid or the request cannot
>  be honored.
>
> Reading carefully, this suggests that it can return 0 on failure.
> However, it returns non-zero when the mode is valid or the request
> cannot be honored. What other sort of failure is there? If the mode is
> valid and the request has been honored, it seems we're doing pretty
> well...

Yes, the wording looks nonsensical, and isn't consistent with the
source code or with POSIX.1 either.

I removed the "return any value on failure" and rewrote the sentence
accordingly.

Thanks,

Michael
-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
man-pages online: http://www.kernel.org/doc/man-pages/online_pages.html
Found a bug? http://www.kernel.org/doc/man-pages/reporting_bugs.html




Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk.manpages@googlemail.com> to control@bugs.debian.org. (Thu, 26 Jun 2008 14:09:05 GMT) Full text and rfc822 format available.

Reply sent to Joey Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Reuben Thomas <rrt@femur.dyndns.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 488104-close@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: 488104-close@bugs.debian.org
Subject: Bug#488104: fixed in manpages 3.02-1
Date: Sun, 06 Jul 2008 21:17:09 +0000
Source: manpages
Source-Version: 3.02-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_3.02-1_all.deb
  to pool/main/m/manpages/manpages-dev_3.02-1_all.deb
manpages_3.02-1.diff.gz
  to pool/main/m/manpages/manpages_3.02-1.diff.gz
manpages_3.02-1.dsc
  to pool/main/m/manpages/manpages_3.02-1.dsc
manpages_3.02-1_all.deb
  to pool/main/m/manpages/manpages_3.02-1_all.deb
manpages_3.02.orig.tar.gz
  to pool/main/m/manpages/manpages_3.02.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 488104@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 06 Jul 2008 22:54:48 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.02-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Joey Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 488104
Changes: 
 manpages (3.02-1) unstable; urgency=low
 .
   * New upstream version
     . Fix confused wording for return value of setvbuf(3) (closes: Bug#488104)
   * Filter out sigwait(3) which is also provided by glibc-doc
Checksums-Sha1: 
 9c17ee8d300fd214a6c92a0e35cac9c4d70a1ef3 964 manpages_3.02-1.dsc
 e10a09b8dcadfb721ed3f7120c33181f00d828dc 1356356 manpages_3.02.orig.tar.gz
 a6f58d3ba3c30019b9cd3ed4da36f03a9819271e 46557 manpages_3.02-1.diff.gz
 306daeb73f682ec6338ca56cedf2a6792164932b 585874 manpages_3.02-1_all.deb
 af90e01dd576c8818b000e83764637df7e545e68 1412814 manpages-dev_3.02-1_all.deb
Checksums-Sha256: 
 5bc44983ead4813f91f81519ddcaa82b8082ec4600ef53c877e257eb84d3096d 964 manpages_3.02-1.dsc
 159e15642909911bb9cd97b2a8af04d444b7bdb01ca975f953a76461ae9857d1 1356356 manpages_3.02.orig.tar.gz
 4e7335fc439f5ac546d26cae1d4f33199a2c31be1698581dd49a1f68880cb043 46557 manpages_3.02-1.diff.gz
 277586654930a511ed846b0b7d8ac8aad515b4d590e6365ab92be81c7d749353 585874 manpages_3.02-1_all.deb
 895ce513cf0651b3824547a648b62f8159b5b214522970f28675c54ab88181ce 1412814 manpages-dev_3.02-1_all.deb
Files: 
 d9e119108734bbbc529e064b481636c5 964 doc important manpages_3.02-1.dsc
 5152343e09f83c8a49cfaad146f362b2 1356356 doc important manpages_3.02.orig.tar.gz
 133c845f8827792156f0558ec761c879 46557 doc important manpages_3.02-1.diff.gz
 521db753ce7ab1799348940f2c9ab8ee 585874 doc important manpages_3.02-1_all.deb
 e2e4999e8b0a07aaf67940cb4a7fcb68 1412814 doc optional manpages-dev_3.02-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFIcTHiW5ql+IAeqTIRAsb0AJ9FeGyt17WjD+bhcFqPaTTWTF8qUACglGCl
O/ycdRKkLL3sqGfmGvb+pOs=
=uSnJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 04 Aug 2008 07:28:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 17:11:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.